%define major 0
%define apiver 0.1

%define libname %mklibname xfce4menu %{apiver} %{major}
%define develname %mklibname xfce4menu -d

Summary:	A freedesktop.org compliant menu library written for Xfce
Name:		libxfce4menu
Version:	4.6.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://www.xfce.org
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc
BuildRequires:	libxfce4util-devel >= 4.6.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A freedesktop.org compliant menu library written for Xfce.
It implements the Desktop Menu Specification version 1.0.

%package -n %{libname}
Summary:	A freedesktop.org compliant menu library written for Xfce
Group:		Graphical desktop/Xfce

%description -n %{libname}
A freedesktop.org compliant menu library written for Xfce.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gtk-doc

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}-%{apiver}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname} -f %{name}-%{apiver}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS HACKING README STATUS TODO
%{_libdir}/*xfce4menu*%{apiver}.so.%{major}*
%{_datadir}/gtk-doc/html/libxfce4menu

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libxfce4menu-%{apiver}.la
%{_libdir}/libxfce4menu-%{apiver}.so
%{_libdir}/pkgconfig/libxfce4menu-%{apiver}.pc
%{_includedir}/xfce4/libxfce4menu-%{apiver}


%changelog
* Wed Apr 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368760
- update buildrequires
- no need to use _disable_ld_no_undefined
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349158
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345521
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333895
- update to new version 4.5.99.1
- provide full url to Source0

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329507
- New upstream release

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303457
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-5mdv2009.1
+ Revision: 294765
- fix provides for devel package

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-4mdv2009.1
+ Revision: 294756
- looks like it is missing on repos

* Fri Oct 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-3mdv2009.1
+ Revision: 294553
- rebuild
- add provides and requires for devel package

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294491
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for libxfce4menu.

